/bin/bash is a Linuxism. Other operating systems install bash to
different paths. Use /usr/bin/env in shebangs to find bash.
Signed-off-by: Alan Somers <asomers@gmail.com>
-#!/bin/bash -
+#!/usr/bin/env bash
#
# File: git-archive-all.sh
#
-#! /bin/bash
+#! /usr/bin/env bash
#
# Copyright (C) 2017 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
source $CEPH_ROOT/qa/standalone/ceph-helpers.sh
-#!/bin/bash -ex
+#!/usr/bin/env bash
#
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
# Copyright (C) 2013 Cloudwatt <libre.licensing@cloudwatt.com>
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Library Public License for more details.
#
+set -ex
source $(dirname $0)/detect-build-env-vars.sh
test `uname` = FreeBSD
-#!/bin/bash
+#!/usr/bin/env bash
source $CEPH_ROOT/qa/standalone/ceph-helpers.sh